summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
authorSteve Langasek <vorlon@debian.org>2008-08-21 14:11:49 -0700
committerSteve Langasek <steve.langasek@ubuntu.com>2019-01-03 17:28:26 -0800
commit6ad17f1ce4152aeaaf31e39256d5282a8381ca0f (patch)
treeef26bd30e7906f67b67242649d90549af39dcb1b /debian
parent4324c28e77e9cbb77fe4c1b1c3d6e09bf439d4ef (diff)
use pam-auth-update --remove in the package prerms
Diffstat (limited to 'debian')
-rw-r--r--debian/libpam-cracklib.prerm7
-rw-r--r--debian/libpam-runtime.prerm7
2 files changed, 14 insertions, 0 deletions
diff --git a/debian/libpam-cracklib.prerm b/debian/libpam-cracklib.prerm
new file mode 100644
index 00000000..44a58ab8
--- /dev/null
+++ b/debian/libpam-cracklib.prerm
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = remove ]; then
+ pam-auth-update --package --remove cracklib
+fi
diff --git a/debian/libpam-runtime.prerm b/debian/libpam-runtime.prerm
new file mode 100644
index 00000000..5197e91b
--- /dev/null
+++ b/debian/libpam-runtime.prerm
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = remove ]; then
+ pam-auth-update --package --remove unix
+fi